From 7491de760335fa96795539b8e0392b127ec812f5 Mon Sep 17 00:00:00 2001
From: reback00 <reback00@protonmail.com>
Date: Thu, 27 Jun 2019 16:35:39 +0600
Subject: [PATCH] ddgtk: fixes for recent vte python bindings + other changes

---
 .../ddgtk/patches/001-changes-for-v0.1.patch  | 33 +++++++++++++++++++
 srcpkgs/ddgtk/template                        |  5 +--
 2 files changed, 36 insertions(+), 2 deletions(-)
 create mode 100644 srcpkgs/ddgtk/patches/001-changes-for-v0.1.patch

diff --git a/srcpkgs/ddgtk/patches/001-changes-for-v0.1.patch b/srcpkgs/ddgtk/patches/001-changes-for-v0.1.patch
new file mode 100644
index 00000000000..386b5fe5875
--- /dev/null
+++ b/srcpkgs/ddgtk/patches/001-changes-for-v0.1.patch
@@ -0,0 +1,33 @@
+diff -Naurp0 a/meson.build b/meson.build
+--- a/meson.build	2017-10-15 19:48:45.000000000 +0000
++++ b/meson.build	2019-06-24 12:48:11.436750620 +0000
+@@ -3 +3 @@ project('ddgtk',
+-  meson_version: '>= 0.40.0',
++  meson_version: '>= 0.50.0',
+diff -Naurp0 a/src/main.py b/src/main.py
+--- a/src/main.py	2017-10-15 19:48:45.000000000 +0000
++++ b/src/main.py	2019-06-24 12:50:46.519811815 +0000
+@@ -116 +116 @@ class Application():
+-        #self.terminal.feed_child(self.command,-1)
++        #self.terminal.feed_child_binary(self.command.encode("utf-8"))
+@@ -125,4 +125,4 @@ class Application():
+-        self.terminal.feed_child(clear,-1)
+-        self.terminal.feed_child(wait,-1)
+-        self.terminal.feed_child(self.umount,-1)
+-        #self.terminal.feed_child(cmd,-1)
++        self.terminal.feed_child_binary(clear.encode("utf-8"))
++        self.terminal.feed_child_binary(wait.encode("utf-8"))
++        self.terminal.feed_child_binary(self.umount.encode("utf-8"))
++        #self.terminal.feed_child_binary(cmd.encode("utf-8"))
+@@ -130 +130 @@ class Application():
+-        self.terminal.feed_child(self.command,-1)
++        self.terminal.feed_child_binary(self.command.encode("utf-8"))
+diff -Naurp0 a/src/meson.build b/src/meson.build
+--- a/src/meson.build	2017-10-15 19:48:45.000000000 +0000
++++ b/src/meson.build	2019-06-24 12:48:51.950244132 +0000
+@@ -12 +12 @@ gnome.compile_resources('ddgtk',
+-python3 = import('python3')
++python3 = import('python')
+@@ -15 +15 @@ conf = configuration_data()
+-conf.set('PYTHON', python3.find_python().path())
++conf.set('PYTHON', python3.find_installation().path())
diff --git a/srcpkgs/ddgtk/template b/srcpkgs/ddgtk/template
index f97c362c1c5..84948070877 100644
--- a/srcpkgs/ddgtk/template
+++ b/srcpkgs/ddgtk/template
@@ -1,9 +1,10 @@
 # Template file for 'ddgtk'
 pkgname=ddgtk
 version=0.1
-revision=1
+revision=2
 build_style=meson
-hostmakedepends="pkg-config glib glib-devel"
+patch_args="-Np1"
+hostmakedepends="pkg-config glib glib-devel gettext appstream-glib"
 depends="python3 python3-gobject gtk+3"
 short_desc="GUI frontend for dd to create bootable ISO images for Linux"
 maintainer="reback00 <reback00@protonmail.com>"
